org.springframework.data.mapping.model

## Interface PropertyValueProvider<P extends PersistentProperty<P>>

    public interface PropertyValueProvider<P extends PersistentProperty<P>>

SPI for components to provide values for as `PersistentProperty`.

Author:
  Oliver Gierke, Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `getPropertyValue(P property)` Returns a value for the given `PersistentProperty`.

### Method Detail

#### getPropertyValue

    @Nullable
    <T> T getPropertyValue(P property)

Returns a value for the given `PersistentProperty`.

Parameters:
  `property` - will never be null.
Returns: